Bulk-hydrates mandates by ID (up to 100 per call).

Body·
required

Request model for POST /api/v1/mandates/batch/get.

  • ids
    Type: array string[]
    required
Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/mandates/batch/get
curl https://app.propstreet.com/api/v1/mandates/batch/get \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "ids": [
    ""
  ]
}'
[
  {
    "id": "string",
    "uri": null,
    "name": "string",
    "description": null,
    "geography": null,
    "resolvedLocation": {
      "name": "string",
      "country": null,
      "longitude": "string",
      "latitude": "string"
    },
    "country": null,
    "investmentSize": {
      "min": 0,
      "max": 0,
      "currency": "string",
      "scale": "string"
    },
    "yearBuilt": {
      "min": "string",
      "max": "string"
    },
    "parcelArea": {
      "min": 0,
      "max": 0
    },
    "categories": [
      {
        "type": "string",
        "locationClasses": [
          "string"
        ],
        "yieldPercent": {
          "min": "string",
          "max": "string"
        },
        "leasableUnits": {
          "min": 0,
          "max": 0
        },
        "vacancyRate": {
          "min": "string",
          "max": "string"
        },
        "rentPerUnit": {
          "min": 0,
          "max": 0,
          "currency": "string",
          "scale": "string"
        }
      }
    ],
    "positiveTags": [
      "string"
    ],
    "negativeTags": [
      "string"
    ],
    "externalRefs": [
      {
        "namespace": "string",
        "id": "string"
      }
    ],
    "createdUtc": "2026-05-18T20:22:36.959Z",
    "updatedUtc": "2026-05-18T20:22:36.959Z",
    "deletedUtc": null,
    "etag": "string",
    "changeType": null,
    "changeOrigin": null
  }
]